aboutsummaryrefslogtreecommitdiffstats
path: root/utils/webseal-simulator/sdc-simulator/startup.sh
diff options
context:
space:
mode:
authorTal Gitelman <tg851x@intl.att.com>2017-08-16 13:44:31 +0300
committerTal Gitelman <tg851x@intl.att.com>2017-08-16 13:44:31 +0300
commitfa222906b5b31c34ee165e290de94dd19c8f18b3 (patch)
treecb610145234fbbb27200cb055cc8f1cf0a6c9f6a /utils/webseal-simulator/sdc-simulator/startup.sh
parent11f0704f4f1186ae33230e80376aa9459dcfd737 (diff)
[SDC-154] - sdc-simulator docker task
Change-Id: If1ba67353698c4baa91efa0abf6ccb89f208f2f6 Signed-off-by: Tal Gitelman <tg851x@intl.att.com>
Diffstat (limited to 'utils/webseal-simulator/sdc-simulator/startup.sh')
-rw-r--r--utils/webseal-simulator/sdc-simulator/startup.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/utils/webseal-simulator/sdc-simulator/startup.sh b/utils/webseal-simulator/sdc-simulator/startup.sh
new file mode 100644
index 0000000000..1b0931363d
--- /dev/null
+++ b/utils/webseal-simulator/sdc-simulator/startup.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+export CHEFNAME=${ENVNAME}
+cd /root/chef-solo
+echo "normal['HOST_IP'] = \"${HOST_IP}\"" > /root/chef-solo/cookbooks/sdc-simulator/attributes/default.rb
+chef-solo -c solo.rb -E ${CHEFNAME}
+
+sed -i '/^set -e/aJAVA_OPTIONS=\"-Xdebug -Xmx128m -Xms128m -Xss1m -Dconfig.home=${JETTY_BASE}/config -Dlog.home=${JETTY_BASE}/logs -Dlogback.configurationFile=${JETTY_BASE}/config/sdc-simulator/logback.xml \"' /docker-entrypoint.sh
+sed -i '/^set -e/aTMPDIR=${JETTY_BASE}\/temp' /docker-entrypoint.sh
+
+cd /var/lib/jetty
+/docker-entrypoint.sh
+
+#sed -i '/^set -e/aJAVA_OPTIONS=\"-Xdebug -Xmx128m -Xms128m -Xss1m -agentlib:jdwp=transport=dt_socket,address=4002,server=y,suspend=n -Dconfig.home=${JETTY_BASE}/config -Dlog.home=${JETTY_BASE}/logs -Dlogback.configurationFile=${JETTY_BASE}/config/catalog-be/logback.xml -Djetty.logging.dir=${JETTY_BASE}/logs -Djetty.home=/home/vagrant/jetty/jetty-distribution-9.3.6.v20151106 -Djetty.base=${JETTY_BASE} -Djava.io.tmpdir=/home/vagrant/webseal-simulator/tmp -jar /home/vagrant/jetty/jetty-distribution-9.3.6.v20151106/start.jar jetty.state=/home/vagrant/webseal-simulator/webseal-simulator.state jetty-logging.xml jetty-started.xml\"' /docker-entrypoint.sh \ No newline at end of file